Saltar al contenido principal
PUT
/
webhooks
/
2026-03
/
{appId}
/
settings
Actualizar configuración de webhook
curl --request PUT \
  --url https://api.hubapi.com/webhooks/2026-03/{appId}/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targetUrl": "<string>",
  "throttling": {
    "maxConcurrentRequests": 123
  }
}
'
import requests

url = "https://api.hubapi.com/webhooks/2026-03/{appId}/settings"

payload = {
"targetUrl": "<string>",
"throttling": { "maxConcurrentRequests": 123 }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({targetUrl: '<string>', throttling: {maxConcurrentRequests: 123}})
};

fetch('https://api.hubapi.com/webhooks/2026-03/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "createdAt": "2023-11-07T05:31:56Z",
  "targetUrl": "<string>",
  "throttling": {
    "maxConcurrentRequests": 123
  },
  "updatedAt": "2023-11-07T05:31:56Z"
}
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Parámetros de ruta

appId
integer<int32>
requerido

El identificador de la aplicación.

Cuerpo

application/json
targetUrl
string
requerido

La URL a la que se enviarán los eventos de webhook. Es una cadena.

throttling
object
requerido

Respuesta

successful operation

createdAt
string<date-time>
requerido

La fecha y hora en que se creó la configuración de webhook, en formato ISO 8601.

targetUrl
string
requerido

La URL a la que se enviarán los eventos de webhook. Es una cadena.

throttling
object
requerido
updatedAt
string<date-time>

La fecha y hora en que se actualizaron por última vez los ajustes del webhook, en formato ISO 8601.

Última modificación el 3 de abril de 2026